gclust.rsvt {igraph} | R Documentation

## Graph Clustering Using SVT and NMF – Clusters Implied by Singular Value Thresholding

### Description

Performs Clustering of Graphs using Singular Value Thresholding and Non-negative Factorization.

### Usage

        gclust.rsvt(glist, r=1,maxsvt=10,nmfout=FALSE,maxit=10000, nmfmethod='lee')

### Arguments

`glist` | List of `igraph` Objects
`r` | Maximum Number of Clusters Allowed
`maxsvt` | Maximum Number of Singular Value Thresholding; Default is 10
`nmfout` | T/F indicating if the output from nmf should be returned; Default is FALSE
`maxit` | A number passed to irlba or svd function limiting the number of iteration; Default is 10000
`nmfmethod` | A number passed to irlba or svd, limiting the number of iterations; Default is 'lee'

### Value

`nmf` | An NMF object
`W` | Basis Graphs
`H` | Probability Vector for Cluster Weights timeseries of graphs
`Xorigin` | Input Data in the matrix form

### Author(s)

Nam Lee nhlee@jhu.edu

### Examples

    require(NMF)
    require(irlba)
    require(igraph)

[Package igraph version 1.1.2 Index]